PowerShell доступен через WSUS!!!

Чудо свершилось! Windows PowerShell наконец то доступен как обновление на WSUS!

wsus-ps

 

Это решает сразу две проблемы: во-первых разворачивать PowerShell в организации стало проще простого. Ведь раньше дистрибутивы PowerShell были доступен лишь в виде исполняемого файла .exe, который нельзя было развернуть с помощью групповых политик. Требовалось использовать startup-сценарии или платные системы вроде SMS, SCCM, SCE или аналогов. А сейчас достаточно лишь одобрить обновление🙂

Во вторых, PowerShell будет гораздо быстрее распостранятся в организациях. Если раньше его установка была “установкой дополнительного ПО”, то теперь это системное обновление. А уж учитывая то что PowerShell начиная с Windows 2008 встроен в систему, а с Windows 7 и Windows 2008R2 вообще предустановлен, и даже доступен в Server Core…

Если вы профессионально занимаетесь Windows технологиями и автоматизацией, но еще почему то не занялись изучением PowerShell – очень рекомендую заняться устранением этого пробела😉

PS: Если у вас PowerShell не виден в списке обновлений, скорее всего это из за того что не включена загрузка “Пакетов новых функций”, или “Feature Updates”.

Опубликовано в News, PowerShell. Метки: , , . 8 комментариев »

комментариев 8 to “PowerShell доступен через WSUS!!!”

  1. Constantin Boulatnikoff Says:

    Уже одобрил для XP. Для серверов пока не стал, боюсь перезагрузки, отложу до выходных.
    Не видел для Висты

  2. hvs Says:

    2 Constantin Boulatnikoff:
    Перезагрузка при установке PoSH не требуется ни в случае ручной установки, ни в случае раздачи через WSUS

  3. hvs Says:

    2 Xaegr:

    А что это за консоль у вас такая «любопытная», если не секрет?

  4. hvs Says:

    Кстати, на блоге разработчиков WSUS об этом ни слова…

  5. Stanislav Says:

    нащёт vista rtm не знаю, но в vista sp1 posh тоже присутствует по умолчанию (в дополнительных компонентах).

  6. Constantin Boulatnikoff Says:

    to hvs:
    разрешил для серверов, пусть ставится. в описании обновления написали «может потребоваться перезагрузка» вот я и отшедулил на выходные
    to Stanislav: я помню, видел и ставил в Vista SP1, просто у автора в скриншоте виден PoSH для Vista и Vista 64, а у меня ни того, ни другого.

  7. hvs Says:

    2 All
    А кто-нибудь помнит, где можно скачать ADM для того, что в домене установить политику ограничения выполнения в «RemoteSigned»?

  8. Xaegr Says:

    2 hvs: Там написано «Может потребоваться перезагрузка»🙂 Мало ли что🙂
    Консоль — System Center Essentials, он для развёртывания обновлений и ПО использует WSUS.
    2 Stanislav: Мне известно лишь то что в Vista можно добавить PowerShell в компоненты, как собственно и любой другой msu. Но в оригинальном дистрибутиве AFAIK PowerShell’а нет. К сожалению сейчас нет под рукой Vista для проверки…

    Administrative Templates for PowerShell — http://www.microsoft.com/downloads/details.aspx?familyid=2917a564-dbbc-4da7-82c8-fe08b3ef4e6d&displaylang=en


Обсуждение закрыто.

%d такие блоггеры, как: